% Beispiel fr die Verwendung der Klasse @World
clear classes
clc

% leere World erstellen
w = World;

% Optimierung einstellen
w.optType = 'max'; %Maximierungsaufgabe
w.fitFun  = @Fitness;

% Algorithmus einstellen
w.nachkommenProElter = 4;
w.elternAussterben   = true;
w.rep     = 'diskret+inter'; % 'klonen', 'inter' , 'diskret' , 'diskret+inter' 
w.mutTau0 = 0.15; %Mutationsparameter
w.mutTau1 = 0.15;

% Dimensionen einstellen
FieldNames={'name','startRange','startDistribution','numEltern','boundaryCheck','startO'};
c= { 'X'   ,   [1 30], 'log', 10, [0 40], .25; ...
     'Y'   ,   [1 30], 'log', 10, [0 40], .25; ...
     'test', [.1 99], 'log', 5,  [0 100], .25;};        
w.dim=cell2struct(c,FieldNames,2);

% Abbruchkriterien einstellen
bk.numCycles    = 100;
bk.time         = inf;
bk.f            = 10;
bk.epsilon      = 0.01;
bk.epsilonTimes = 5;
w.break=bk;

% Berichterstattung einschalten und konfigurieren
w.reportOnCycle=true;
w.saveOnCycle = 'saveWorldTest';

% graphische Ausgabe einstellen
Fig.on = true;
Fig.fitness ={'best','worst','max','min','mean','median'};
Fig.histogramm = true;
Fig.Inds ={'best','worst','max','min','mean','median'};
Fig.Mut ={'meanpstd','mean','meanmstd'};
Fig.BestInd = true; 
w.Fig = Fig;

% immer mit folgender Zeile starten...
[w breakKrit]=start(w); 